using System.ComponentModel;
using System.Collections.ObjectModel;
public class GridData : INotifyPropertyChanged
    {
        private int id;
        private string name;
        private string rec_desc;
        private double length;
        private double sales;
        private double units;
        private ObservableCollection<GridData> children;
        

        public int ID
        {
            get { return id; }
            set
            {
                if (id != value)
                {
                    id = value;
                    OnPropertyChanged("ID");
                }
            }
        }

        public string Name
        {
            get { return name; }
            set
            {
                if (name != value)
                {
                    name = value;
                    OnPropertyChanged("Name");
                }
            }
        }

        public string RecDesc
        {
            get { return rec_desc; }
            set
            {
                if (rec_desc != value)
                {
                    rec_desc = value;
                    OnPropertyChanged("RecDesc");
                }
            }
        }

        public double Length
        {
            get { return length; }
            set
            {
                if (length != value)
                {
                    length = value;
                    OnPropertyChanged("Length");
                }
            }
        }

        public double Sales
        {
            get { return sales; }
            set
            {
                if (sales != value)
                {
                    sales = value;
                    OnPropertyChanged("Sales");
                }
            }
        }

        public double Units
        {
            get { return units; }
            set
            {
                if (units != value)
                {
                    units = value;
                    OnPropertyChanged("Units");
                }
            }
        }

        public ObservableCollection<GridData> Children
        {
            get { return children; }
            set
            {
                if (children != value)
                {
                    children = value;
                    OnPropertyChanged("Children");
                }
            }
        }


        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }